caption: External print servers
desc: "Provides configurations of available print servers.\n\n      This policy allows\
  \ you to provide configuration of external print servers to <ph name=\"PRODUCT_OS_NAME\"\
  >$2<ex>Google ChromeOS</ex></ph> devices as JSON file.\n\n      The size of the\
  \ file must not exceed 1MB and must contain an array of records (JSON objects).\
  \ Each record must contain fields \"id\", \"url\" and \"display_name\" with strings\
  \ as values. Values of \"id\" fields must be unique.\n\n      The file is downloaded\
  \ and cached. The cryptographic hash is used to verify the integrity of the download.\
  \ The file will be re-downloaded whenever the URL or the hash changes.\n\n     \
  \ When this policy is set to correct value, devices will try to query specified\
  \ print servers for available printers using IPP protocol.\n\n      If this policy\
  \ is unset or set to incorrect value, none of the provided server printers are visible\
  \ to users.\n\n      Currently, the number of print servers is limited to 16. Only\
  \ the first 16 print servers from the list will be queried.\n\n      This policy\
  \ is similar to <ph name=\"EXTERNAL_PRINT_SERVERS_POLICY\">ExternalPrintServers</ph>,\
  \ except this policy is applied by device.\n      "
device_only: true
example_value:
  hash: deadbeefdeadbeefdeadbeefdeadbeefdeafdeadbeefdeadbeef
  url: https://example.com/printserverpolicy
features:
  dynamic_refresh: true
  per_profile: false
max_size: 1048576
owners:
- mattme@google.com
- file://chromeos/printing/OWNERS
schema:
  properties:
    hash:
      description: The SHA-256 hash of the file.
      type: string
    url:
      description: URL to a JSON file with a list of print servers.
      type: string
  type: object
supported_on:
- chrome_os:87-
tags: []
type: external
